import { getEndpointPlugin } from "@smithy/middleware-endpoint";
import { getSerdePlugin } from "@smithy/middleware-serde";
import { Command as $Command } from "@smithy/smithy-client";
import { commonParams } from "../endpoint/EndpointParameters";
import { CreateAppInstanceRequestFilterSensitiveLog, } from "../models/models_0";
import { de_CreateAppInstanceCommand, se_CreateAppInstanceCommand } from "../protocols/Aws_restJson1";
export { $Command };
export class CreateAppInstanceCommand extends $Command
    .classBuilder()
    .ep({
    ...commonParams,
})
    .m(function (Command, cs, config, o) {
    return [
        getSerdePlugin(config, this.serialize, this.deserialize),
        getEndpointPlugin(config, Command.getEndpointParameterInstructions()),
    ];
})
    .s("ChimeIdentityService", "CreateAppInstance", {})
    .n("ChimeSDKIdentityClient", "CreateAppInstanceCommand")
    .f(CreateAppInstanceRequestFilterSensitiveLog, void 0)
    .ser(se_CreateAppInstanceCommand)
    .de(de_CreateAppInstanceCommand)
    .build() {
}
