import { getEndpointPlugin } from "@smithy/middleware-endpoint";
import { getSerdePlugin } from "@smithy/middleware-serde";
import { Command as $Command } from "@smithy/smithy-client";
import { commonParams } from "../endpoint/EndpointParameters";
import { ListAppInstanceUsersRequestFilterSensitiveLog, ListAppInstanceUsersResponseFilterSensitiveLog, } from "../models/models_0";
import { de_ListAppInstanceUsersCommand, se_ListAppInstanceUsersCommand } from "../protocols/Aws_restJson1";
export { $Command };
export class ListAppInstanceUsersCommand extends $Command
    .classBuilder()
    .ep({
    ...commonParams,
})
    .m(function (Command, cs, config, o) {
    return [
        getSerdePlugin(config, this.serialize, this.deserialize),
        getEndpointPlugin(config, Command.getEndpointParameterInstructions()),
    ];
})
    .s("ChimeIdentityService", "ListAppInstanceUsers", {})
    .n("ChimeSDKIdentityClient", "ListAppInstanceUsersCommand")
    .f(ListAppInstanceUsersRequestFilterSensitiveLog, ListAppInstanceUsersResponseFilterSensitiveLog)
    .ser(se_ListAppInstanceUsersCommand)
    .de(de_ListAppInstanceUsersCommand)
    .build() {
}
