import { getEndpointPlugin } from "@smithy/middleware-endpoint";
import { getSerdePlugin } from "@smithy/middleware-serde";
import { Command as $Command } from "@smithy/smithy-client";
import { commonParams } from "../endpoint/EndpointParameters";
import { UpdateAppInstanceUserRequestFilterSensitiveLog, } from "../models/models_0";
import { de_UpdateAppInstanceUserCommand, se_UpdateAppInstanceUserCommand } from "../protocols/Aws_restJson1";
export { $Command };
export class UpdateAppInstanceUserCommand extends $Command
    .classBuilder()
    .ep({
    ...commonParams,
})
    .m(function (Command, cs, config, o) {
    return [
        getSerdePlugin(config, this.serialize, this.deserialize),
        getEndpointPlugin(config, Command.getEndpointParameterInstructions()),
    ];
})
    .s("ChimeIdentityService", "UpdateAppInstanceUser", {})
    .n("ChimeSDKIdentityClient", "UpdateAppInstanceUserCommand")
    .f(UpdateAppInstanceUserRequestFilterSensitiveLog, void 0)
    .ser(se_UpdateAppInstanceUserCommand)
    .de(de_UpdateAppInstanceUserCommand)
    .build() {
}
