import { getEndpointPlugin } from "@smithy/middleware-endpoint";
import { getSerdePlugin } from "@smithy/middleware-serde";
import { Command as $Command } from "@smithy/smithy-client";
import { commonParams } from "../endpoint/EndpointParameters";
import { de_GetVoiceToneAnalysisTaskCommand, se_GetVoiceToneAnalysisTaskCommand } from "../protocols/Aws_restJson1";
export { $Command };
export class GetVoiceToneAnalysisTaskCommand extends $Command
    .classBuilder()
    .ep({
    ...commonParams,
})
    .m(function (Command, cs, config, o) {
    return [
        getSerdePlugin(config, this.serialize, this.deserialize),
        getEndpointPlugin(config, Command.getEndpointParameterInstructions()),
    ];
})
    .s("ChimeSDKMediaPipelinesService", "GetVoiceToneAnalysisTask", {})
    .n("ChimeSDKMediaPipelinesClient", "GetVoiceToneAnalysisTaskCommand")
    .f(void 0, void 0)
    .ser(se_GetVoiceToneAnalysisTaskCommand)
    .de(de_GetVoiceToneAnalysisTaskCommand)
    .build() {
}
