import { getEndpointPlugin } from "@smithy/middleware-endpoint";
import { getSerdePlugin } from "@smithy/middleware-serde";
import { Command as $Command } from "@smithy/smithy-client";
import { commonParams } from "../endpoint/EndpointParameters";
import { ListMediaPipelineKinesisVideoStreamPoolsResponseFilterSensitiveLog, } from "../models/models_0";
import { de_ListMediaPipelineKinesisVideoStreamPoolsCommand, se_ListMediaPipelineKinesisVideoStreamPoolsCommand, } from "../protocols/Aws_restJson1";
export { $Command };
export class ListMediaPipelineKinesisVideoStreamPoolsCommand extends $Command
    .classBuilder()
    .ep({
    ...commonParams,
})
    .m(function (Command, cs, config, o) {
    return [
        getSerdePlugin(config, this.serialize, this.deserialize),
        getEndpointPlugin(config, Command.getEndpointParameterInstructions()),
    ];
})
    .s("ChimeSDKMediaPipelinesService", "ListMediaPipelineKinesisVideoStreamPools", {})
    .n("ChimeSDKMediaPipelinesClient", "ListMediaPipelineKinesisVideoStreamPoolsCommand")
    .f(void 0, ListMediaPipelineKinesisVideoStreamPoolsResponseFilterSensitiveLog)
    .ser(se_ListMediaPipelineKinesisVideoStreamPoolsCommand)
    .de(de_ListMediaPipelineKinesisVideoStreamPoolsCommand)
    .build() {
}
