import { getEndpointPlugin } from "@smithy/middleware-endpoint";
import { getSerdePlugin } from "@smithy/middleware-serde";
import { Command as $Command } from "@smithy/smithy-client";
import { commonParams } from "../endpoint/EndpointParameters";
import { StartSpeakerSearchTaskRequestFilterSensitiveLog, } from "../models/models_0";
import { de_StartSpeakerSearchTaskCommand, se_StartSpeakerSearchTaskCommand } from "../protocols/Aws_restJson1";
export { $Command };
export class StartSpeakerSearchTaskCommand extends $Command
    .classBuilder()
    .ep({
    ...commonParams,
})
    .m(function (Command, cs, config, o) {
    return [
        getSerdePlugin(config, this.serialize, this.deserialize),
        getEndpointPlugin(config, Command.getEndpointParameterInstructions()),
    ];
})
    .s("ChimeSDKMediaPipelinesService", "StartSpeakerSearchTask", {})
    .n("ChimeSDKMediaPipelinesClient", "StartSpeakerSearchTaskCommand")
    .f(StartSpeakerSearchTaskRequestFilterSensitiveLog, void 0)
    .ser(se_StartSpeakerSearchTaskCommand)
    .de(de_StartSpeakerSearchTaskCommand)
    .build() {
}
