/**
 * <p>The Amazon Chime SDK media pipeline APIs in this section allow software developers to
 *          create Amazon Chime SDK media pipelines that capture, concatenate, or stream your Amazon Chime SDK meetings. For more information about media pipelines, see <a href="https://docs.aws.amazon.com/chime-sdk/latest/APIReference/API_Operations_Amazon_Chime_SDK_Media_Pipelines.html">Amazon Chime SDK media pipelines</a>. </p>
 *
 * @packageDocumentation
 */
export * from "./ChimeSDKMediaPipelinesClient";
export * from "./ChimeSDKMediaPipelines";
export { ClientInputEndpointParameters } from "./endpoint/EndpointParameters";
export { RuntimeExtension } from "./runtimeExtensions";
export { ChimeSDKMediaPipelinesExtensionConfiguration } from "./extensionConfiguration";
export * from "./commands";
export * from "./pagination";
export * from "./models";
import "@aws-sdk/util-endpoints";
export { ChimeSDKMediaPipelinesServiceException } from "./models/ChimeSDKMediaPipelinesServiceException";
