import {
  AwsSdkSigV4AuthInputConfig,
  AwsSdkSigV4AuthResolvedConfig,
  AwsSdkSigV4PreviouslyResolved,
} from "@aws-sdk/core";
import {
  HandlerExecutionContext,
  HttpAuthScheme,
  HttpAuthSchemeParameters,
  HttpAuthSchemeParametersProvider,
  HttpAuthSchemeProvider,
} from "@smithy/types";
import { ChimeSDKMessagingClientResolvedConfig } from "../ChimeSDKMessagingClient";
export interface ChimeSDKMessagingHttpAuthSchemeParameters
  extends HttpAuthSchemeParameters {
  region?: string;
}
export interface ChimeSDKMessagingHttpAuthSchemeParametersProvider
  extends HttpAuthSchemeParametersProvider<
    ChimeSDKMessagingClientResolvedConfig,
    HandlerExecutionContext,
    ChimeSDKMessagingHttpAuthSchemeParameters,
    object
  > {}
export declare const defaultChimeSDKMessagingHttpAuthSchemeParametersProvider: (
  config: ChimeSDKMessagingClientResolvedConfig,
  context: HandlerExecutionContext,
  input: object
) => Promise<ChimeSDKMessagingHttpAuthSchemeParameters>;
export interface ChimeSDKMessagingHttpAuthSchemeProvider
  extends HttpAuthSchemeProvider<ChimeSDKMessagingHttpAuthSchemeParameters> {}
export declare const defaultChimeSDKMessagingHttpAuthSchemeProvider: ChimeSDKMessagingHttpAuthSchemeProvider;
export interface HttpAuthSchemeInputConfig extends AwsSdkSigV4AuthInputConfig {
  httpAuthSchemes?: HttpAuthScheme[];
  httpAuthSchemeProvider?: ChimeSDKMessagingHttpAuthSchemeProvider;
}
export interface HttpAuthSchemeResolvedConfig
  extends AwsSdkSigV4AuthResolvedConfig {
  readonly httpAuthSchemes: HttpAuthScheme[];
  readonly httpAuthSchemeProvider: ChimeSDKMessagingHttpAuthSchemeProvider;
}
export declare const resolveHttpAuthSchemeConfig: <T>(
  config: T & HttpAuthSchemeInputConfig & AwsSdkSigV4PreviouslyResolved
) => T & HttpAuthSchemeResolvedConfig;
