import { getEndpointPlugin } from "@smithy/middleware-endpoint";
import { getSerdePlugin } from "@smithy/middleware-serde";
import { Command as $Command } from "@smithy/smithy-client";
import { commonParams } from "../endpoint/EndpointParameters";
import { AssociatePhoneNumbersWithVoiceConnectorGroupRequestFilterSensitiveLog, AssociatePhoneNumbersWithVoiceConnectorGroupResponseFilterSensitiveLog, } from "../models/models_0";
import { de_AssociatePhoneNumbersWithVoiceConnectorGroupCommand, se_AssociatePhoneNumbersWithVoiceConnectorGroupCommand, } from "../protocols/Aws_restJson1";
export { $Command };
export class AssociatePhoneNumbersWithVoiceConnectorGroupCommand extends $Command
    .classBuilder()
    .ep({
    ...commonParams,
})
    .m(function (Command, cs, config, o) {
    return [
        getSerdePlugin(config, this.serialize, this.deserialize),
        getEndpointPlugin(config, Command.getEndpointParameterInstructions()),
    ];
})
    .s("ChimeSDKTelephonyService", "AssociatePhoneNumbersWithVoiceConnectorGroup", {})
    .n("ChimeSDKVoiceClient", "AssociatePhoneNumbersWithVoiceConnectorGroupCommand")
    .f(AssociatePhoneNumbersWithVoiceConnectorGroupRequestFilterSensitiveLog, AssociatePhoneNumbersWithVoiceConnectorGroupResponseFilterSensitiveLog)
    .ser(se_AssociatePhoneNumbersWithVoiceConnectorGroupCommand)
    .de(de_AssociatePhoneNumbersWithVoiceConnectorGroupCommand)
    .build() {
}
