import { getEndpointPlugin } from "@smithy/middleware-endpoint";
import { getSerdePlugin } from "@smithy/middleware-serde";
import { Command as $Command } from "@smithy/smithy-client";
import { commonParams } from "../endpoint/EndpointParameters";
import { BatchUpdatePhoneNumberRequestFilterSensitiveLog, BatchUpdatePhoneNumberResponseFilterSensitiveLog, } from "../models/models_0";
import { de_BatchUpdatePhoneNumberCommand, se_BatchUpdatePhoneNumberCommand } from "../protocols/Aws_restJson1";
export { $Command };
export class BatchUpdatePhoneNumberCommand extends $Command
    .classBuilder()
    .ep({
    ...commonParams,
})
    .m(function (Command, cs, config, o) {
    return [
        getSerdePlugin(config, this.serialize, this.deserialize),
        getEndpointPlugin(config, Command.getEndpointParameterInstructions()),
    ];
})
    .s("ChimeSDKTelephonyService", "BatchUpdatePhoneNumber", {})
    .n("ChimeSDKVoiceClient", "BatchUpdatePhoneNumberCommand")
    .f(BatchUpdatePhoneNumberRequestFilterSensitiveLog, BatchUpdatePhoneNumberResponseFilterSensitiveLog)
    .ser(se_BatchUpdatePhoneNumberCommand)
    .de(de_BatchUpdatePhoneNumberCommand)
    .build() {
}
