import { getEndpointPlugin } from "@smithy/middleware-endpoint";
import { getSerdePlugin } from "@smithy/middleware-serde";
import { Command as $Command } from "@smithy/smithy-client";
import { commonParams } from "../endpoint/EndpointParameters";
import { CreateSipMediaApplicationCallRequestFilterSensitiveLog, } from "../models/models_0";
import { de_CreateSipMediaApplicationCallCommand, se_CreateSipMediaApplicationCallCommand, } from "../protocols/Aws_restJson1";
export { $Command };
export class CreateSipMediaApplicationCallCommand extends $Command
    .classBuilder()
    .ep({
    ...commonParams,
})
    .m(function (Command, cs, config, o) {
    return [
        getSerdePlugin(config, this.serialize, this.deserialize),
        getEndpointPlugin(config, Command.getEndpointParameterInstructions()),
    ];
})
    .s("ChimeSDKTelephonyService", "CreateSipMediaApplicationCall", {})
    .n("ChimeSDKVoiceClient", "CreateSipMediaApplicationCallCommand")
    .f(CreateSipMediaApplicationCallRequestFilterSensitiveLog, void 0)
    .ser(se_CreateSipMediaApplicationCallCommand)
    .de(de_CreateSipMediaApplicationCallCommand)
    .build() {
}
