import { getEndpointPlugin } from "@smithy/middleware-endpoint";
import { getSerdePlugin } from "@smithy/middleware-serde";
import { Command as $Command } from "@smithy/smithy-client";
import { commonParams } from "../endpoint/EndpointParameters";
import { CreateVoiceProfileDomainRequestFilterSensitiveLog, CreateVoiceProfileDomainResponseFilterSensitiveLog, } from "../models/models_0";
import { de_CreateVoiceProfileDomainCommand, se_CreateVoiceProfileDomainCommand } from "../protocols/Aws_restJson1";
export { $Command };
export class CreateVoiceProfileDomainCommand extends $Command
    .classBuilder()
    .ep({
    ...commonParams,
})
    .m(function (Command, cs, config, o) {
    return [
        getSerdePlugin(config, this.serialize, this.deserialize),
        getEndpointPlugin(config, Command.getEndpointParameterInstructions()),
    ];
})
    .s("ChimeSDKTelephonyService", "CreateVoiceProfileDomain", {})
    .n("ChimeSDKVoiceClient", "CreateVoiceProfileDomainCommand")
    .f(CreateVoiceProfileDomainRequestFilterSensitiveLog, CreateVoiceProfileDomainResponseFilterSensitiveLog)
    .ser(se_CreateVoiceProfileDomainCommand)
    .de(de_CreateVoiceProfileDomainCommand)
    .build() {
}
