import { getEndpointPlugin } from "@smithy/middleware-endpoint";
import { getSerdePlugin } from "@smithy/middleware-serde";
import { Command as $Command } from "@smithy/smithy-client";
import { commonParams } from "../endpoint/EndpointParameters";
import { GetPhoneNumberRequestFilterSensitiveLog, GetPhoneNumberResponseFilterSensitiveLog, } from "../models/models_0";
import { de_GetPhoneNumberCommand, se_GetPhoneNumberCommand } from "../protocols/Aws_restJson1";
export { $Command };
export class GetPhoneNumberCommand extends $Command
    .classBuilder()
    .ep({
    ...commonParams,
})
    .m(function (Command, cs, config, o) {
    return [
        getSerdePlugin(config, this.serialize, this.deserialize),
        getEndpointPlugin(config, Command.getEndpointParameterInstructions()),
    ];
})
    .s("ChimeSDKTelephonyService", "GetPhoneNumber", {})
    .n("ChimeSDKVoiceClient", "GetPhoneNumberCommand")
    .f(GetPhoneNumberRequestFilterSensitiveLog, GetPhoneNumberResponseFilterSensitiveLog)
    .ser(se_GetPhoneNumberCommand)
    .de(de_GetPhoneNumberCommand)
    .build() {
}
