import { getEndpointPlugin } from "@smithy/middleware-endpoint";
import { getSerdePlugin } from "@smithy/middleware-serde";
import { Command as $Command } from "@smithy/smithy-client";
import { commonParams } from "../endpoint/EndpointParameters";
import { GetPhoneNumberOrderResponseFilterSensitiveLog, } from "../models/models_0";
import { de_GetPhoneNumberOrderCommand, se_GetPhoneNumberOrderCommand } from "../protocols/Aws_restJson1";
export { $Command };
export class GetPhoneNumberOrderCommand extends $Command
    .classBuilder()
    .ep({
    ...commonParams,
})
    .m(function (Command, cs, config, o) {
    return [
        getSerdePlugin(config, this.serialize, this.deserialize),
        getEndpointPlugin(config, Command.getEndpointParameterInstructions()),
    ];
})
    .s("ChimeSDKTelephonyService", "GetPhoneNumberOrder", {})
    .n("ChimeSDKVoiceClient", "GetPhoneNumberOrderCommand")
    .f(void 0, GetPhoneNumberOrderResponseFilterSensitiveLog)
    .ser(se_GetPhoneNumberOrderCommand)
    .de(de_GetPhoneNumberOrderCommand)
    .build() {
}
