import { getEndpointPlugin } from "@smithy/middleware-endpoint";
import { getSerdePlugin } from "@smithy/middleware-serde";
import { Command as $Command } from "@smithy/smithy-client";
import { commonParams } from "../endpoint/EndpointParameters";
import { GetVoiceConnectorEmergencyCallingConfigurationResponseFilterSensitiveLog, } from "../models/models_0";
import { de_GetVoiceConnectorEmergencyCallingConfigurationCommand, se_GetVoiceConnectorEmergencyCallingConfigurationCommand, } from "../protocols/Aws_restJson1";
export { $Command };
export class GetVoiceConnectorEmergencyCallingConfigurationCommand extends $Command
    .classBuilder()
    .ep({
    ...commonParams,
})
    .m(function (Command, cs, config, o) {
    return [
        getSerdePlugin(config, this.serialize, this.deserialize),
        getEndpointPlugin(config, Command.getEndpointParameterInstructions()),
    ];
})
    .s("ChimeSDKTelephonyService", "GetVoiceConnectorEmergencyCallingConfiguration", {})
    .n("ChimeSDKVoiceClient", "GetVoiceConnectorEmergencyCallingConfigurationCommand")
    .f(void 0, GetVoiceConnectorEmergencyCallingConfigurationResponseFilterSensitiveLog)
    .ser(se_GetVoiceConnectorEmergencyCallingConfigurationCommand)
    .de(de_GetVoiceConnectorEmergencyCallingConfigurationCommand)
    .build() {
}
