import { getEndpointPlugin } from "@smithy/middleware-endpoint";
import { getSerdePlugin } from "@smithy/middleware-serde";
import { Command as $Command } from "@smithy/smithy-client";
import { commonParams } from "../endpoint/EndpointParameters";
import { GetVoiceConnectorProxyResponseFilterSensitiveLog, } from "../models/models_0";
import { de_GetVoiceConnectorProxyCommand, se_GetVoiceConnectorProxyCommand } from "../protocols/Aws_restJson1";
export { $Command };
export class GetVoiceConnectorProxyCommand extends $Command
    .classBuilder()
    .ep({
    ...commonParams,
})
    .m(function (Command, cs, config, o) {
    return [
        getSerdePlugin(config, this.serialize, this.deserialize),
        getEndpointPlugin(config, Command.getEndpointParameterInstructions()),
    ];
})
    .s("ChimeSDKTelephonyService", "GetVoiceConnectorProxy", {})
    .n("ChimeSDKVoiceClient", "GetVoiceConnectorProxyCommand")
    .f(void 0, GetVoiceConnectorProxyResponseFilterSensitiveLog)
    .ser(se_GetVoiceConnectorProxyCommand)
    .de(de_GetVoiceConnectorProxyCommand)
    .build() {
}
