import { getEndpointPlugin } from "@smithy/middleware-endpoint";
import { getSerdePlugin } from "@smithy/middleware-serde";
import { Command as $Command } from "@smithy/smithy-client";
import { commonParams } from "../endpoint/EndpointParameters";
import { GetVoiceConnectorStreamingConfigurationResponseFilterSensitiveLog, } from "../models/models_0";
import { de_GetVoiceConnectorStreamingConfigurationCommand, se_GetVoiceConnectorStreamingConfigurationCommand, } from "../protocols/Aws_restJson1";
export { $Command };
export class GetVoiceConnectorStreamingConfigurationCommand extends $Command
    .classBuilder()
    .ep({
    ...commonParams,
})
    .m(function (Command, cs, config, o) {
    return [
        getSerdePlugin(config, this.serialize, this.deserialize),
        getEndpointPlugin(config, Command.getEndpointParameterInstructions()),
    ];
})
    .s("ChimeSDKTelephonyService", "GetVoiceConnectorStreamingConfiguration", {})
    .n("ChimeSDKVoiceClient", "GetVoiceConnectorStreamingConfigurationCommand")
    .f(void 0, GetVoiceConnectorStreamingConfigurationResponseFilterSensitiveLog)
    .ser(se_GetVoiceConnectorStreamingConfigurationCommand)
    .de(de_GetVoiceConnectorStreamingConfigurationCommand)
    .build() {
}
