import { getEndpointPlugin } from "@smithy/middleware-endpoint";
import { getSerdePlugin } from "@smithy/middleware-serde";
import { Command as $Command } from "@smithy/smithy-client";
import { commonParams } from "../endpoint/EndpointParameters";
import { PutVoiceConnectorProxyRequestFilterSensitiveLog, PutVoiceConnectorProxyResponseFilterSensitiveLog, } from "../models/models_0";
import { de_PutVoiceConnectorProxyCommand, se_PutVoiceConnectorProxyCommand } from "../protocols/Aws_restJson1";
export { $Command };
export class PutVoiceConnectorProxyCommand extends $Command
    .classBuilder()
    .ep({
    ...commonParams,
})
    .m(function (Command, cs, config, o) {
    return [
        getSerdePlugin(config, this.serialize, this.deserialize),
        getEndpointPlugin(config, Command.getEndpointParameterInstructions()),
    ];
})
    .s("ChimeSDKTelephonyService", "PutVoiceConnectorProxy", {})
    .n("ChimeSDKVoiceClient", "PutVoiceConnectorProxyCommand")
    .f(PutVoiceConnectorProxyRequestFilterSensitiveLog, PutVoiceConnectorProxyResponseFilterSensitiveLog)
    .ser(se_PutVoiceConnectorProxyCommand)
    .de(de_PutVoiceConnectorProxyCommand)
    .build() {
}
