import { getEndpointPlugin } from "@smithy/middleware-endpoint";
import { getSerdePlugin } from "@smithy/middleware-serde";
import { Command as $Command } from "@smithy/smithy-client";
import { commonParams } from "../endpoint/EndpointParameters";
import { RestorePhoneNumberRequestFilterSensitiveLog, RestorePhoneNumberResponseFilterSensitiveLog, } from "../models/models_0";
import { de_RestorePhoneNumberCommand, se_RestorePhoneNumberCommand } from "../protocols/Aws_restJson1";
export { $Command };
export class RestorePhoneNumberCommand extends $Command
    .classBuilder()
    .ep({
    ...commonParams,
})
    .m(function (Command, cs, config, o) {
    return [
        getSerdePlugin(config, this.serialize, this.deserialize),
        getEndpointPlugin(config, Command.getEndpointParameterInstructions()),
    ];
})
    .s("ChimeSDKTelephonyService", "RestorePhoneNumber", {})
    .n("ChimeSDKVoiceClient", "RestorePhoneNumberCommand")
    .f(RestorePhoneNumberRequestFilterSensitiveLog, RestorePhoneNumberResponseFilterSensitiveLog)
    .ser(se_RestorePhoneNumberCommand)
    .de(de_RestorePhoneNumberCommand)
    .build() {
}
