import { getEndpointPlugin } from "@smithy/middleware-endpoint";
import { getSerdePlugin } from "@smithy/middleware-serde";
import { Command as $Command } from "@smithy/smithy-client";
import { commonParams } from "../endpoint/EndpointParameters";
import { de_UpdateVoiceConnectorGroupCommand, se_UpdateVoiceConnectorGroupCommand } from "../protocols/Aws_restJson1";
export { $Command };
export class UpdateVoiceConnectorGroupCommand extends $Command
    .classBuilder()
    .ep({
    ...commonParams,
})
    .m(function (Command, cs, config, o) {
    return [
        getSerdePlugin(config, this.serialize, this.deserialize),
        getEndpointPlugin(config, Command.getEndpointParameterInstructions()),
    ];
})
    .s("ChimeSDKTelephonyService", "UpdateVoiceConnectorGroup", {})
    .n("ChimeSDKVoiceClient", "UpdateVoiceConnectorGroupCommand")
    .f(void 0, void 0)
    .ser(se_UpdateVoiceConnectorGroupCommand)
    .de(de_UpdateVoiceConnectorGroupCommand)
    .build() {
}
