import { AwsSdkSigV4AuthInputConfig, AwsSdkSigV4AuthResolvedConfig, AwsSdkSigV4PreviouslyResolved } from "@aws-sdk/core";
import { HandlerExecutionContext, HttpAuthScheme, HttpAuthSchemeParameters, HttpAuthSchemeParametersProvider, HttpAuthSchemeProvider } from "@smithy/types";
import { ChimeSDKVoiceClientResolvedConfig } from "../ChimeSDKVoiceClient";
/**
 * @internal
 */
export interface ChimeSDKVoiceHttpAuthSchemeParameters extends HttpAuthSchemeParameters {
    region?: string;
}
/**
 * @internal
 */
export interface ChimeSDKVoiceHttpAuthSchemeParametersProvider extends HttpAuthSchemeParametersProvider<ChimeSDKVoiceClientResolvedConfig, HandlerExecutionContext, ChimeSDKVoiceHttpAuthSchemeParameters, object> {
}
/**
 * @internal
 */
export declare const defaultChimeSDKVoiceHttpAuthSchemeParametersProvider: (config: ChimeSDKVoiceClientResolvedConfig, context: HandlerExecutionContext, input: object) => Promise<ChimeSDKVoiceHttpAuthSchemeParameters>;
/**
 * @internal
 */
export interface ChimeSDKVoiceHttpAuthSchemeProvider extends HttpAuthSchemeProvider<ChimeSDKVoiceHttpAuthSchemeParameters> {
}
/**
 * @internal
 */
export declare const defaultChimeSDKVoiceHttpAuthSchemeProvider: ChimeSDKVoiceHttpAuthSchemeProvider;
/**
 * @internal
 */
export interface HttpAuthSchemeInputConfig extends AwsSdkSigV4AuthInputConfig {
    /**
     * experimentalIdentityAndAuth: Configuration of HttpAuthSchemes for a client which provides default identity providers and signers per auth scheme.
     * @internal
     */
    httpAuthSchemes?: HttpAuthScheme[];
    /**
     * experimentalIdentityAndAuth: Configuration of an HttpAuthSchemeProvider for a client which resolves which HttpAuthScheme to use.
     * @internal
     */
    httpAuthSchemeProvider?: ChimeSDKVoiceHttpAuthSchemeProvider;
}
/**
 * @internal
 */
export interface HttpAuthSchemeResolvedConfig extends AwsSdkSigV4AuthResolvedConfig {
    /**
     * experimentalIdentityAndAuth: Configuration of HttpAuthSchemes for a client which provides default identity providers and signers per auth scheme.
     * @internal
     */
    readonly httpAuthSchemes: HttpAuthScheme[];
    /**
     * experimentalIdentityAndAuth: Configuration of an HttpAuthSchemeProvider for a client which resolves which HttpAuthScheme to use.
     * @internal
     */
    readonly httpAuthSchemeProvider: ChimeSDKVoiceHttpAuthSchemeProvider;
}
/**
 * @internal
 */
export declare const resolveHttpAuthSchemeConfig: <T>(config: T & HttpAuthSchemeInputConfig & AwsSdkSigV4PreviouslyResolved) => T & HttpAuthSchemeResolvedConfig;
