import { getEndpointPlugin } from "@smithy/middleware-endpoint";
import { getSerdePlugin } from "@smithy/middleware-serde";
import { Command as $Command } from "@smithy/smithy-client";
import { commonParams } from "../endpoint/EndpointParameters";
import { de_UpdateDataRetentionCommand, se_UpdateDataRetentionCommand } from "../protocols/Aws_restJson1";
export { $Command };
export class UpdateDataRetentionCommand extends $Command
    .classBuilder()
    .ep({
    ...commonParams,
})
    .m(function (Command, cs, config, o) {
    return [
        getSerdePlugin(config, this.serialize, this.deserialize),
        getEndpointPlugin(config, Command.getEndpointParameterInstructions()),
    ];
})
    .s("KinesisVideo_20170930", "UpdateDataRetention", {})
    .n("KinesisVideoClient", "UpdateDataRetentionCommand")
    .f(void 0, void 0)
    .ser(se_UpdateDataRetentionCommand)
    .de(de_UpdateDataRetentionCommand)
    .build() {
}
