import { getEndpointPlugin } from "@smithy/middleware-endpoint";
import { getSerdePlugin } from "@smithy/middleware-serde";
import { Command as $Command } from "@smithy/smithy-client";
import { commonParams } from "../endpoint/EndpointParameters";
import { de_UpdateImageGenerationConfigurationCommand, se_UpdateImageGenerationConfigurationCommand, } from "../protocols/Aws_restJson1";
export { $Command };
export class UpdateImageGenerationConfigurationCommand extends $Command
    .classBuilder()
    .ep({
    ...commonParams,
})
    .m(function (Command, cs, config, o) {
    return [
        getSerdePlugin(config, this.serialize, this.deserialize),
        getEndpointPlugin(config, Command.getEndpointParameterInstructions()),
    ];
})
    .s("KinesisVideo_20170930", "UpdateImageGenerationConfiguration", {})
    .n("KinesisVideoClient", "UpdateImageGenerationConfigurationCommand")
    .f(void 0, void 0)
    .ser(se_UpdateImageGenerationConfigurationCommand)
    .de(de_UpdateImageGenerationConfigurationCommand)
    .build() {
}
